# debug\_traceTransaction

Returns all traces of a given transaction.

This method will use `80` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

All parameters below are <mark style="color:red;">Required</mark>:

`transactionHash` - String - The transaction hash to be traced.

`object` - Object - The tracer object with the following fields:

* `tracer` - String - The type of tracer, options are: `callTracer` or `prestateTracer`.
  * `callTracer` - String - The callTracer keeps track of all call frames, including depth - calls, that are made during a transaction.
  * `prestateTracer` - String - The prestateTracer replays the transaction and trackers every part of state that occurred during the transaction.

## **Returns**

`result` - An object with the result of the trace, containing:

* `from` - The address the transaction is sent from.
* `gas` - The integer of the gas provided for the transaction execution.
* `gasUsed` - The integer of the gas used.
* `to` - The address the transaction is directed to.
* `input` - The data given at the time of input.
* `value` - The integer of the value sent with this transaction.
* `type` - The type of call.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"from": "0xe860b38d5d957115f2988bae1d41bf1968e9a08d",
		"gas": "0x5208",
		"gasUsed": "0x5208",
		"to": "0xc13a5da4e00c5b27b4d2b621371b5e51e6f4ea5c",
		"input": "0x",
		"value": "0x7b9abf2bd1a00",
		"type": "CALL"
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bsc.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0xb86ac30ca26365d624a2401033a7099f2964258253a1a090015ec36105e726be", {"tracer": "callTracer"}],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bsc.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0xa0cba2a8626a52220a022927289a6da316ad450b0c1c748e140789b5c88c287b", {"tracer": "callTracer"}],"id":1}'

```

{% endtab %}
{% endtabs %}
